Python
job = client.batches.get("batch_3k9x2m")
print(job.status, job.progress.completed, "/", job.progress.total)const job = await client.batches.get("batch_3k9x2m");
console.log(job.status, job.progress.completed, "/", job.progress.total);
curl https://api.tacetai.com/v1/batches/batch_3k9x2m \
-H "Authorization: Bearer $TACET_API_KEY"
{
"id": "batch_3k9x2m",
"model": "<string>",
"status": "queued",
"progress": {
"total": 123,
"completed": 123,
"failed": 123
},
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"code": "invalid_question",
"message": "<string>"
}{
"code": "invalid_question",
"message": "<string>"
}Batches
Get a batch
Check a job’s status and progress.
GET
/
v1
/
batches
/
{id}
Python
job = client.batches.get("batch_3k9x2m")
print(job.status, job.progress.completed, "/", job.progress.total)const job = await client.batches.get("batch_3k9x2m");
console.log(job.status, job.progress.completed, "/", job.progress.total);
curl https://api.tacetai.com/v1/batches/batch_3k9x2m \
-H "Authorization: Bearer $TACET_API_KEY"
{
"id": "batch_3k9x2m",
"model": "<string>",
"status": "queued",
"progress": {
"total": 123,
"completed": 123,
"failed": 123
},
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"code": "invalid_question",
"message": "<string>"
}{
"code": "invalid_question",
"message": "<string>"
}Authorizations
Create a key in the Tacet console. Keep it on your server; never ship it in a browser or app.
Path Parameters
The batch id returned when the job was created.
Example:
"batch_3k9x2m"